aboutsummaryrefslogtreecommitdiffstats
path: root/test/test.sh
diff options
context:
space:
mode:
authorHadriel Kaplan <hadrielk@yahoo.com>2014-02-20 10:12:33 -0500
committerAlexis La Goutte <alexis.lagoutte@gmail.com>2014-02-20 18:42:13 +0000
commitfe769e73501b5b1e324df3352266de77a8af456e (patch)
tree4dd459d18b04675e8afc3f3b95ff24c7ae6cd22d /test/test.sh
parentd574fd89f4f5698a5b14014efe0830eecce7a991 (diff)
Add 4 more test scripts for Lua, and its own testsuite menu
This adds test scripts for verifying Pinfo, Address, Field, FieldInfo, NSTime and Listener classes/functions. It also moves Lua test scripts out of unittests and into its own new testsuite. Change-Id: I65c238fd459efb96db3f8f9145842cd038dea7c7 Reviewed-on: https://code.wireshark.org/review/270 Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com> Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
Diffstat (limited to 'test/test.sh')
-rwxr-xr-xtest/test.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/test.sh b/test/test.sh
index 3d8b0795a8..65538ae46a 100755
--- a/test/test.sh
+++ b/test/test.sh
@@ -58,6 +58,7 @@ Usage: $THIS [-c] [-h] [-s <suite>]
nameres
prerequisites
unittests
+ wslua
FIN
exit 0
fi
@@ -96,6 +97,7 @@ source $TESTS_DIR/suite-unittests.sh
source $TESTS_DIR/suite-fileformats.sh
source $TESTS_DIR/suite-decryption.sh
source $TESTS_DIR/suite-nameres.sh
+source $TESTS_DIR/suite-wslua.sh
test_cleanup() {
if [ $TEST_OUTDIR_CLEAN = 1 ]; then
@@ -155,6 +157,7 @@ test_suite() {
test_suite_add "File formats" fileformats_suite
test_suite_add "Decryption" decryption_suite
test_suite_add "Name Resolution" name_resolution_suite
+ test_suite_add "Lua API" wslua_suite
}
@@ -200,6 +203,9 @@ if [ -n "$RUN_SUITE" ] ; then
"unittests")
test_suite_run "Unit tests" unittests_suite
exit $? ;;
+ "wslua")
+ test_suite_run "Lua API" wslua_suite
+ exit $? ;;
esac
fi